<form class="export-entry" action="{{ request.url_for('export_data', station=station, mode_name=mode_name) }}">
  <table id="export-parameters">
    <tr>
      <td><label class="export-time-label" for="input-start-time">Start</label></td>
      <td><input type="text" id="input-start-time" name="start"></td>
      <td><label class="export-time-label" id="parsed-start-time"></label></td>
    </tr>
    <tr>
      <td><label class="export-time-label" for="input-end-time">End</label></td>
      <td><input type="text" id="input-end-time" name="end"></td>
      <td><label class="export-time-label" id="parsed-end-time"></label></td>
    </tr>
    <tr>
      <td><label for="export-type">Data</label></td>
      <td colspan="2">
        <select id="export-type" class="export-select" name="key">
        {% for export_type in available.exports %}
          <option value="{{ export_type.key }}">{{ export_type.display }}</option>
        {% endfor %}
        </select>
      </td>
    </tr>
  </table>

  <div id="export-waiting" class="hidden">
    <div class="export-waiting-text">The system is exporting data, your download will start automatically when the file is ready.</div>
    <span class="export-waiting-indicator">
      <span class="mdi mdi-loading mdi-spin"></span>
    </span>
  </div>

  <div id="export-error" class="hidden">
    <div class="export-error-text" id="export-error-message">Error processing data.</div>
  </div>

  <div id="export-ready" class="hidden">
    <div class="export-ready-text">
      Exported data is ready.
      Your download should start automatically.
      If it does not, click the link below.
      Once the download has started, you can close this dialog.
    </div>
    <span class="export-ready-download"><a id="export-download-link" href="#" download></a></span>
  </div>

  <div class="export-footer">
    <button id="export-data">Ok</button>
    <button id="export-cancel">Cancel</button>
  </div>
</form>

<script>
(function() {
{% include 'export/modal.js' %}
})();
</script>

<style>
{% include 'export/modal.css' %}
</style>